apiVersion: apps/v1
kind: Deployment
metadata:
  name: tile-app
spec:
  selector:
    matchLabels:
      app: tile-app
  replicas: 1
  template:
    metadata:
      labels:
        app: tile-app
    spec:
      containers:
        - name: tile-app
          image: $CI_REGISTRY/pablo.fuentes/api:$CI_PIPELINE_ID
          ports:
            - containerPort: 4000
          livenessProbe:
            httpGet:
              path: /_health/liveness
              port: 4000
            initialDelaySeconds: 20
            periodSeconds: 10
            timeoutSeconds: 5
          readinessProbe:
            httpGet:
              path: /_health/readiness
              port: 4000
            initialDelaySeconds: 20
            periodSeconds: 10
            timeoutSeconds: 5
          env:
            - name: MONGO_URL
              valueFrom:
                configMapKeyRef:
                  name: config
                  key: mongo_url
            - name: SALT_NUMBER
              valueFrom:
                configMapKeyRef:
                  name: config
                  key: salt_number
            - name: JWT_SECRET
              valueFrom:
                configMapKeyRef:
                  name: config
                  key: jwt_secret

